package org.apache.commons.lang3.compare;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.function.Predicate;

public class ComparableUtils {
  public static <A extends Comparable<A>> Predicate<A> between(A b, A c) {
    return a -> is(a).between(b, c);
  }
  
  public static <A extends Comparable<A>> Predicate<A> betweenExclusive(A b, A c) {
    return a -> is(a).betweenExclusive(b, c);
  }
  
  public static <A extends Comparable<A>> Predicate<A> ge(A b) {
    return a -> is(a).greaterThanOrEqualTo(b);
  }
  
  public static <A extends Comparable<A>> Predicate<A> gt(A b) {
    return a -> is(a).greaterThan(b);
  }
  
  public static <A extends Comparable<A>> ComparableCheckBuilder<A> is(A a) {
    return new ComparableCheckBuilder<>((Comparable)a, null);
  }
  
  public static <A extends Comparable<A>> Predicate<A> le(A b) {
    return a -> is(a).lessThanOrEqualTo(b);
  }
  
  public static <A extends Comparable<A>> Predicate<A> lt(A b) {
    return a -> is(a).lessThan(b);
  }
}
